using System;
using Server;
using Server.Network;

namespace Server.Items
{
	public class FarmableGarlic : FarmableCrop
	{
		public static int GetCropID()
		{
			return 0x18E1;
		}

		public override Item GetCropObject()
		{
			Item item = new Garlic();
			item.Amount = 3;
			return item;
		}

		public override int GetPickedID()
		{
			return 0xCB0;
		}

		[Constructable]
		public FarmableGarlic() : base( GetCropID() )
		{
			Name = "garlic";
		}

		public FarmableGarlic( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.WriteEncodedInt( 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadEncodedInt();
		}
	}
}